Package uk.ac.starlink.topcat

## Class ClassComboBoxRenderer

- java.lang.Object
- - uk.ac.starlink.util.gui.CustomComboBoxRenderer
  - - uk.ac.starlink.topcat.ClassComboBoxRenderer

- All Implemented Interfaces:
    `javax.swing.ListCellRenderer`

      public class ClassComboBoxRenderer
      extends uk.ac.starlink.util.gui.CustomComboBoxRenderer

  Custom combo box renderer for rendering Class objects.
  Since:
    17 Aug 2004
  Author:
    Mark Taylor (Starlink)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassComboBoxRenderer()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ClassComboBoxRenderer` | `getInstance()` | Returns an instance of this singleton class.
    `protected java.lang.Object` | `mapValue​(java.lang.Object value)` |

    - ### Methods inherited from class uk.ac.starlink.util.gui.CustomComboBoxRenderer

      `getListCellRendererComponent, getNullRepresentation, setNullRepresentation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassComboBoxRenderer

          public ClassComboBoxRenderer()

  - ### Method Detail

    - #### getInstance

          public static ClassComboBoxRenderer getInstance()

      Returns an instance of this singleton class.
      Returns:
        renderer instance

    - #### mapValue

          protected java.lang.Object mapValue​(java.lang.Object value)

      Overrides:
        `mapValue` in class `uk.ac.starlink.util.gui.CustomComboBoxRenderer`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.